Skip to main content
POST
Update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

App identifier.

id
string
required

The id field.

Body

application/json

EdgeServiceUpdateRequest updates an existing Edge via update_mask. The only editable path is mode.

edge
Edge · object | null

Edge is one App-owned connection-routing configuration. It is the capability-neutral root for egress today and future LLM routing / credential-injection features; capability-specific config lands additively.

updateMask
string | null

Response

200 - application/json

EdgeServiceUpdateResponse returns the updated Edge.

EdgeServiceUpdateResponse returns the updated Edge.

edge
Edge · object | null

Edge is one App-owned connection-routing configuration. It is the capability-neutral root for egress today and future LLM routing / credential-injection features; capability-specific config lands additively.